CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
INDEX
Search Posts SEARCH
POSTS
Who's Online WHO'S
ONLINE
Log in LOG
IN

Home: Perl Programming Help: Advanced:
Mail::Sender 0.8.21 bug?

 



Demerzel
Novice

Sep 16, 2012, 5:23 AM

Post #1 of 2 (2880 views)
Mail::Sender 0.8.21 bug? Can't Post

I'am writing in advanced because it is probably library bug.
This code works fine on PLD with Mail::Sender 0.8.16:

Code
use Mail::Sender; 
.....
if( ref ($sender = new Mail::Sender {
smtp => $smtp_host,
from => $sender_email,
auth => $smtp_auth,
authid => $smtp_user,
authpwd => $smtp_pass,
on_errors => undef,
# debug_level => 4,
# debug => './log.txt',
})) {

But Debian 0.8.21 shows: "Error sending mail: connect() failed:" because of time.
Question is does anyone have Mail:Sender 0.8.21 to confirm this bug and how to install older library using

Code
# cpan 
install



wickedxter
User

Oct 3, 2012, 1:55 PM

Post #2 of 2 (2502 views)
Re: [Demerzel] Mail::Sender 0.8.21 bug? [In reply to] Can't Post

http://stackoverflow.com/questions/260593/how-can-i-install-a-specific-version-of-a-perl-module

install a specific version. I don't have Debian OS you can leave a bug report on the module.

https://rt.cpan.org/Public/Dist/Display.html?Name=Mail-Sender

Bug's report for the module

 
 


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives